<?php

namespace Webkul\DamBundle;

use Symfony\Component\HttpKernel\Bundle\Bundle;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Webkul\DamBundle\DependencyInjection\CompatibilityCompilerPass;
use Symfony\Component\DependencyInjection\Compiler\PassConfig;

class WebkulDamBundle extends Bundle
{
    public function build(ContainerBuilder $container)
    {
        parent::build($container);

        $container->addCompilerPass(
            new CompatibilityCompilerPass(),
            PassConfig::TYPE_BEFORE_OPTIMIZATION
        );
    }
}
